package com.prolog.cs.biz.inbound.service.rcv;

import com.prolog.cs.biz.inbound.dto.PageParam;
import com.prolog.cs.biz.inbound.dto.rcv.RcvHeadersProfilesDTO;
import com.prolog.framework.core.pojo.Page;

import java.util.List;

/**
 * @Description  
 * @Date 2021-03-24 
 */

public interface RcvHeadersProfilesService {

	/**
 	* @Description   
 	* @Date 2021-03-24 
 	* add RcvHeadersProfilesDTO 
 	*/
	public Object add(RcvHeadersProfilesDTO rcvHeadersProfilesDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* edit RcvHeadersProfilesDTO 
 	*/
	public Object edit(String pkId,RcvHeadersProfilesDTO rcvHeadersProfilesDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete RcvHeadersProfilesDTO 
 	*/
	public Object deletePkId(String pkId);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* delete RcvHeadersProfilesDTO 
 	*/
	public Object delIds(List<String> pkIdList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* page condition search RcvHeadersProfilesDTO 
 	*/
	public Page<RcvHeadersProfilesDTO> findList(RcvHeadersProfilesDTO rcvHeadersProfilesDTO,PageParam pageParam);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchAdd RcvHeadersProfilesDTO 
 	*/
	public Object batchAdd(List<RcvHeadersProfilesDTO> rcvHeadersProfilesDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* batchEdit RcvHeadersProfilesDTO 
 	*/
	public Object batchEdit(List<RcvHeadersProfilesDTO> rcvHeadersProfilesDTOList);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* condition search all RcvHeadersProfilesDTO 
 	*/
	public List<RcvHeadersProfilesDTO> findAll(RcvHeadersProfilesDTO rcvHeadersProfilesDTO);

	/**
 	* @Description  
 	* @Date 2021-03-24 
 	* findOne RcvHeadersProfilesDTO 
 	*/
	public RcvHeadersProfilesDTO findByPkId(String pkId);

	public List<RcvHeadersProfilesDTO> findByPKIdList(List<String> hidList);
}
